"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x103c0a200>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x103c0a290>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x103c0a320>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x103c0a3b0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x103c0a440>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x103c0a4d0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x103c0a560>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103c0a5f0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103c0a680>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x103c0a710>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x103c0a7a0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x103c0a830>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x103c0a8c0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x103c0a950>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x103c0a9e0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x103c0aa70>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x103c0ab00>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x103c0ab90>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x103c0ac20>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x103c0acb0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x103c0ad40>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x103c0add0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x103c0ae60>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x103c0aef0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x103c0b010>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x103c0af80>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x103c0b0a0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x103c0b130>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x103c0b1c0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x103c0b250>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x103c0b2e0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x103c0b370>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x103c0b400>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x103c0b490>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x103c0b520>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x103c0b5b0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x103c0b640>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x103c0b6d0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103c0b760>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103c0b7f0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x103c0b880>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x103c0b910>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x103c0b9a0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x103c0ba30>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x103c0bac0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x103c0bb50>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x103c0bbe0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x103c0bc70>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x103c0bd00>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x103c0bd90>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x103c0be20>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x103c0beb0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x103c0bf40>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x103c44040>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x103c440d0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x103c44160>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x103c441f0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x103c44280>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x103c44310>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x103c443a0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x103c44430>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x103c444c0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x103c44550>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x103c445e0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x103c44670>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x103c44820>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x103c44700>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x103c448b0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x103c44940>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x103c449d0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x103c44a60>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x103c44af0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x103c44c10>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x103c44b80>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x103c44ca0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x103c44d30>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x103c44dc0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x103c44ee0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x103c44e50>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x103c44f70>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x103c45000>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x103c45090>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x103c45120>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x103c451b0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x103c45240>)]
name: str = 'fr_HOCCN'
